Package Details: python-pyshark 0.6-2

Git Clone URL: https://aur.archlinux.org/pyshark.git (read-only, click to copy)
Package Base: pyshark
Description: Python wrapper for tshark, allowing python packet parsing using wireshark dissectors
Upstream URL: https://github.com/KimiNewt/pyshark
Licenses: MIT
Submitter: anthraxx
Maintainer: adsun
Last Packager: adsun
Votes: 10
Popularity: 0.004530
First Submitted: 2015-02-27 01:00 (UTC)
Last Updated: 2023-09-29 22:09 (UTC)

Latest Comments

adsun commented on 2023-09-29 22:10 (UTC)

@fixeria I just bumped pkgrel. Thanks for letting me know.

fixeria commented on 2023-09-29 19:15 (UTC)

@adsun It works [again] after I installed python-appdirs manually. Thanks.

BTW, looks like you forgot to bump pkgrel and forgot to regenerate the .SRCINFO. Without this, package managers like AUR do not show this package as "upgradable".

adsun commented on 2023-09-29 15:10 (UTC)

@fixeria Done. Please let me know if that works for you.

fixeria commented on 2023-09-29 10:09 (UTC)

Please add a missing dependency python-appdirs, otherwise importing pyshark fails:

    import pyshark
  File "/usr/lib/python3.11/site-packages/pyshark/__init__.py", line 13, in <module>
    from pyshark.capture.live_capture import LiveCapture
  File "/usr/lib/python3.11/site-packages/pyshark/capture/live_capture.py", line 7, in <module>
    from pyshark.capture.capture import Capture
  File "/usr/lib/python3.11/site-packages/pyshark/capture/capture.py", line 10, in <module>
    from pyshark import ek_field_mapping
  File "/usr/lib/python3.11/site-packages/pyshark/ek_field_mapping.py", line 4, in <module>
    from pyshark import cache
  File "/usr/lib/python3.11/site-packages/pyshark/cache.py", line 4, in <module>
    import appdirs
ModuleNotFoundError: No module named 'appdirs'

It's present in https://github.com/KimiNewt/pyshark/blob/master/requirements.txt.

Thank you!

adsun commented on 2019-09-21 23:29 (UTC)

Since version 0.4.2.3, python2 is unsupported and thus has been dropped with this package.

drws commented on 2018-05-18 13:19 (UTC) (edited on 2018-05-18 13:21 (UTC) by drws)

The build is failing for me:

Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/_pytest/config.py", line 334, in _getconftestmodules
return self._path2confmods[path]
KeyError: local('/home/user/.cache/pacaur/pyshark/src/pyshark-0.3.7.2/tests')
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/_pytest/config.py", line 365, in _importconftest
return self._conftestpath2mod[conftestpath]
KeyError: local('/home/user/.cache/pacaur/pyshark/src/pyshark-0.3.7.2/tests/conftest.py')
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/_pytest/config.py", line 371, in _importconftest
mod = conftestpath.pyimport()
File "/usr/lib/python3.6/site-packages/py/_path/local.py", line 668, in pyimport
__import__(modname)
File "/usr/lib/python3.6/site-packages/_pytest/assertion/rewrite.py", line 213, in load_module
py.builtin.exec_(co, mod.__dict__)
File "/home/user/.cache/pacaur/pyshark/src/pyshark-0.3.7.2/tests/conftest.py", line 5, in <module>
import pyshark
ModuleNotFoundError: No module named 'pyshark'
ERROR: could not load /home/user/.cache/pacaur/pyshark/src/pyshark-0.3.7.2/tests/conftest.py

bastelfreak commented on 2016-11-11 13:25 (UTC)

Hi, I'm unable to build the PKGBUID: ==> Starting check()... ==> ERROR: Tests only work when the build user belongs to the 'wireshark' group! ==> ERROR: Build failed, check /mnt/aur/build_test/pyshark/build full build log is available here: https://ci.virtapi.org/job/Arch_Package_pyshark/1/console

wicast commented on 2016-04-07 16:00 (UTC)

Dependency python-py is missing.